dpkg-scansources(1)

BEZEICHNUNG
dpkg-scanpackages - erstelle Quell-Index-Dateien

ÜBERSICHT
dpkg-scansources [Option …] Binär-Verz [override-Datei [Pfad-Prefix]] > Sources

BESCHREIBUNG
dpkg-scansources durchsucht das übergebene Binär-Verz nach .dsc-Dateien. Diese werden verwendet, um einen Debian-Quell-Index zu erstellen, der auf der Standardausgabe ausgegeben wird.

Die override-Datei wird, falls angegeben, verwendet, um die Prioritäten in den ergebenen Index-Datensätzen zu setzen und sich über das Betreuer-Feld in den .dsc-Dateien hinwegzusetzen. Diese Datei kann komprimiert sein (seit Dpkg 1.15.5). Lesen Sie dpkg-scanpackages(1) für das Format dieser Datei. Hinweis: Da die override-Datei nach Binär- und nicht Quellpaketen indiziert wird, gibt es hier ein kleines Problem. Die aktuelle Implementierung verwendet die höchste Priorität aller von einer .dsc-Datei erzeugten Binärpakete für die Priorität des Quellpakets, und den Inhalt für das Hinwegsetzen über die Betreuer-Information aus dem Eintrag für das erste in der .dsc-Datei aufgeführte Binärpaket. Dies könnte sich ändern.

Der Pfad-Präfix wird, falls angegeben, vor das Directory-Feld in dem erzeugten Quell-Index vorangestellt. Sie verwenden dies im Allgemeinen, damit das Directory-Feld den Pfad von der Spitze der Debian-Hierarchie enthält.

Hinweis: Falls Sie auf die erzeugte Sources-Datei mit apt(8) zugreifen wollen, werden Sie wahrscheinlich die Datei mit gzip(1) komprimieren müssen (und damit ein Sources.gz-Datei erstellen). Apt ignoriert - abgesehen von lokalem Zugriff (d.h. über file://-Quellen) - unkomprimierte Sources-Dateien.

OPTIONEN

-n, --no-sort
    Sortiere die Index-Datensätze nicht. Normalerweise werden sie nach Quellpaketnamen sortiert.

-e, --extra-override Datei
Durchsuche Datei, um zusätzliche Overrides zu finden (seit Dpkg 1.15.4;
    die Datei kann seit Dpkg 1.15.5 komprimiert sein). Lesen Sie deb-extra-override(5) für weitere Informationen über deren Format.

-s, --source-override Datei
    Verwenden Sie Datei als Quell-override-Datei (die Datei kann seit Dpkg 1.15.5 komprimiert sein). Die Standardeinstellung ist der Name der override-Datei, die Sie angegeben haben, um .src ergänzt.

    Die Quell-override-Datei hat ein anderes Format als die Binär-override-Datei.Sie enthält nur zwei, durch Leerraumzeichen separierte Felder, der erste ist der Quellpaketname und der zweite die Sektion. Leerzeilen und Kommentarzeilen werden in normaler Art und Weise ignoriert. Falls ein Paket in beiden Dateien auftaucht, dann nimmt die Quell-override Vorrang für die Einstellung des Bereichs.

--debug
    Schaltet Fehlersuche ein.

--help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

UMGEBUNG

DPKG_COLORS
    Setzt den Farbmodus (seit Dpkg 1.18.5). Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

DPKG_NLS
    Falls dies gesetzt ist, wird es zur Entscheidung, ob Native Language Support, auch als Internationalisierung (oder i18n) Unterstützung bekannt, aktiviert wird (seit Dpkg 1.19.0). Die akzeptierten Werte sind: 0 und 1 (Vorgabe).

SIEHE AUCH
deb-override(5), deb-extra-override(5), dpkg-scanpackages(1).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2019 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.